import java.util.*;

class CAESAR{

    char VerschiebeBuchstabe(char ch, int abstand){
        // Buchstabe in ASCII-Code umwandeln
        int code = (int) ch;
        // Buchstabe um den gegebenen Abstand verschieben
        code = code + abstand;
        // Ergebnis-Buchstabe aus dem ASCII-Code erzeugen
        char ergebnis = (char) code;
        // Ergebnis-Buchstabe zurückgeben
        return ergebnis;
    }

    String Verschluesseln(String satz, int abstand) {
        String verschluesselt = "";
        for (int i = 0; i < satz.length(); i++) {
            char ch = satz.charAt(i);        
            verschluesselt = verschluesselt + VerschiebeBuchstabe(ch, abstand);        
        }
        return verschluesselt;
    }

    public String Entschluesseln(String geheimtext, int schluessel) {
        // Zum Entschlüsseln wird der Schlüssel negiert
        int negierterSchluessel = -schluessel;
        return Verschluesseln(geheimtext, negierterSchluessel);
    }
    
    public void Teste(){
        String klartext = "Dies ist der Klartext";
        System.out.println("Verschoben um 8:");
        String geheimtext = Verschluesseln(klartext,8);
        System.out.println(geheimtext);
        System.out.println("Und wieder entschlüsselt:");
        klartext = Entschluesseln(geheimtext, 8);
        System.out.println(klartext);        
    }
}
